package	jp.co.sds_corp.util.pooh.tools;

import java.io.File;

import jp.co.sds_corp.util.pooh.frame.FrameManager;
import jp.co.sds_corp.util.pooh.frame.FrameResource;
import jp.co.sds_corp.util.xml.CmnXMLWriter;

import org.w3c.dom.Element;

public class OutputFrameResource extends CmnXMLWriter {

	private Element root = null;
	public OutputFrameResource() throws Exception {
		createDocument("gui");
		root = createElement("frames");
	}

	public void setPartResource(FrameResource fr) throws Exception {
		Element elm = createElement("frame");
		elm.setAttribute("FrameID", fr.getFrame_id()); 
		elm.setAttribute("FrameName", fr.getFrame_name());
		elm.setAttribute("FrameType", fr.getFrame_type());
		elm.setAttribute("FrameX", String.valueOf(fr.getFrame_x()));
		elm.setAttribute("FrameY", String.valueOf(fr.getFrame_y()));
		elm.setAttribute("FrameSizeW", String.valueOf(fr.getFrame_w()));
		elm.setAttribute("FrameSizeH", String.valueOf(fr.getFrame_h()));
		elm.setAttribute("FrameClosable", String.valueOf(fr.getFrame_c()));
		elm.setAttribute("FrameMaximizable", String.valueOf(fr.getFrame_m()));
		elm.setAttribute("FrameResizable", String.valueOf(fr.getFrame_r()));
		elm.setAttribute("FrameIconifiable", String.valueOf(fr.getFrame_i()));
		elm.setAttribute("Panel", fr.getFrame_p());
		elm.setAttribute("Popup", String.valueOf(fr.getFrame_popup()));
		elm.setAttribute("Popupmenu", String.valueOf(fr.getFrame_popup_menu()));
		root.appendChild(elm);
	}

	public void writeResource(String file) throws Exception {
		getRoot().appendChild(root);
		printFile(new File(file));
	}

	public void setAllResource(String file, FrameManager fm) throws Exception {
		writeResource(file);
	}
}
