package	jp.co.sds_corp.util.pooh.top;

import java.util.LinkedList;

public class DesktopResource {

	private String start_object;
	private String start_object_name;

	private Products products = new Products();
	private LinkedList desktopLists    = new LinkedList();
	private LinkedList menuChangeLists = new LinkedList();
	private LinkedList loadObjects = new LinkedList();

	public void setStart_object(String _a)        { start_object = _a; }
	public void setStart_object_name(String _a)   { start_object_name = _a; }

	public String getStart_object()        { return start_object; }
	public String getStart_object_name()   { return start_object_name; }

	public LinkedList getDesktopPartsLists()    { return desktopLists; }
	public LinkedList getMenuChangeLists() { return menuChangeLists; }
	public LinkedList getLoadObjects()     { return loadObjects; }
	public Products getProducts()          { return products; }

	public void addDesktop(DesktopPartsInfo info) { desktopLists.add(info); }
	public void addMenu(MenuChangeInfo info) { menuChangeLists.add(info); }
	public void addLoadObject(LoadObjectInfo info) { loadObjects.add(info); }

	public class Products {
		String version, url, copyright, product;

		public void setVersion(String _a){ version = _a; }
		public void setUrl(String _a) { url = _a; }
		public void setCopyright(String _a) { copyright = _a; }
		public void setProduct(String _a) { product = _a; }

		public String getVersion(){ return version; }
		public String getUrl() { return url; }
		public String getCopyright() { return copyright; }
		public String getProduct() { return product; }
	}
}
